CREATE TABLE IF NOT EXISTS brands (
  Brand_Id int(11) NOT NULL AUTO_INCREMENT,
  Brand_Name varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (Brand_Id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS models (
  Model_Id int(11) NOT NULL AUTO_INCREMENT,
  Model_Name varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  Brand_Id int(11) NOT NULL,
  PRIMARY KEY (Model_Id),
  FOREIGN KEY (Brand_Id) REFERENCES brands (Brand_Id) ON UPDATE CASCADE ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS cars (
  Car_id int(11) NOT NULL AUTO_INCREMENT,
  Model_Id int(11) NOT NULL,  
  Numberplate varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  Produced_Date date NOT NULL,
  Buyed_Date date NOT NULL,
  Kilometers int(11) NOT NULL,
  Damages boolean NOT NULL,
  PRIMARY KEY (Car_id),
  FOREIGN KEY (Model_Id) REFERENCES models (Model_Id) ON UPDATE CASCADE ON DELETE CASCADE,
  UNIQUE (Numberplate),
  CHECK (Kilometers > 0)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;