DROP DATABASE IF EXISTS carsdb;

CREATE DATABASE carsdb DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;

USE carsdb;

CREATE TABLE IF NOT EXISTS brands (
  Brand_Id int(11) NOT NULL AUTO_INCREMENT,
  Brand_Name varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (Brand_Id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS models (
  Model_Id int(11) NOT NULL AUTO_INCREMENT,
  Model_Name varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  Brand_Id int(11) NOT NULL,
  PRIMARY KEY (Model_Id),
  FOREIGN KEY (Brand_Id) REFERENCES brands (Brand_Id) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS cars (
  Car_id int(11) NOT NULL AUTO_INCREMENT,
  Model_Id int(11) NOT NULL,  
  Numberplate varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  Produced_Date date NOT NULL,
  Buyed_Date date NOT NULL,
  Kilometers int(11) NOT NULL,
  Damages boolean NOT NULL,
  PRIMARY KEY (Car_id),
  FOREIGN KEY (Model_Id) REFERENCES models (Model_Id) ON UPDATE CASCADE,
  UNIQUE (Numberplate),
  CHECK (Kilometers > 0)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO brands (Brand_Id, Brand_Name) VALUES (1, "Citroen");
INSERT INTO brands (Brand_Id, Brand_Name) VALUES (2, "Peugeot");

INSERT INTO models VALUES (3, "C3", 1);
INSERT INTO models VALUES (4, "C4", 1);
INSERT INTO models VALUES (5, "C5", 1);
INSERT INTO models VALUES (1, "107", 2);
INSERT INTO models VALUES (2, "208", 2);

INSERT INTO cars (Car_id, Model_Id, Numberplate, Produced_Date, Buyed_Date, Kilometers, Damages) VALUES (1,3, "-5454", "2008-10-13", "2012-03-01", 60000, 0);
INSERT INTO cars (Car_id, Model_Id, Numberplate, Produced_Date, Buyed_Date, Kilometers, Damages) VALUES (2,4, "-1212", "2009-09-20", "2012-03-05", 50000, 0);
INSERT INTO cars (Car_id, Model_Id, Numberplate, Produced_Date, Buyed_Date, Kilometers, Damages) VALUES (3,5, "-2456", "2008-03-05", "2012-03-21", 65000, 0);
INSERT INTO cars (Car_id, Model_Id, Numberplate, Produced_Date, Buyed_Date, Kilometers, Damages) VALUES (4,1, "-6521", "2008-02-12", "2012-06-07", 40000, 1);
INSERT INTO cars (Car_id, Model_Id, Numberplate, Produced_Date, Buyed_Date, Kilometers, Damages) VALUES (5,2, "-6598", "2007-03-19", "2012-02-02", 82000, 1);
